# SoundFwd - App

SoundFwd, was build using:
* [Typescript]
* [React]
* [JSON-server]
* [SASS]
* [react-router-dom]

## Environments - App

| Environment | Frontend / App                                         |
| ----------- | ------------------------------------------------------ |
| Local       | <http://localhost:3000//>                              |

## Environments - Database

| Environment | API                                     |
| ----------- | --------------------------------------- |
| Local       | <http://localhost:8000/>                |

## Install Node

Make sure you have a recent version of *Node* (atleast the version 14).

## Checkout

Checkout the project from Gitlab:

    git clone git@gitlab.com:c.snacken/soundfwd.git

The default branch for this project is *develop*.

## Install Build Dependencies

Before you can run the project you need to install the dependencies:

    yarn

## Development server

Run `yarn start` for a dev server. Navigate to `http://localhost:3000/`. The app will automatically reload if you change any of the source files.

## Development Database

Run `yarn json-server --watch data/db.json --port 8000`. To start de json server for the database


## Available Scripts

In the project directory, you can run:

### `yarn start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.\
You will also see any lint errors in the console.

### `yarn test`

Launches the test runner in the interactive watch mode.\
See the section about [running tests](https://facebook.github.io/create-react-app/docs/running-tests) for more information.

### `yarn build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

See the section about [deployment](https://facebook.github.io/create-react-app/docs/deployment) for more information.

### `yarn eject`

**Note: this is a one-way operation. Once you `eject`, you can’t go back!**

If you aren’t satisfied with the build tool and configuration choices, you can `eject` at any time. This command will remove the single build dependency from your project.

Instead, it will copy all the configuration files and the transitive dependencies (webpack, Babel, ESLint, etc) right into your project so you have full control over them. All of the commands except `eject` will still work, but they will point to the copied scripts so you can tweak them. At this point you’re on your own.

You don’t have to ever use `eject`. The curated feature set is suitable for small and middle deployments, and you shouldn’t feel obligated to use this feature. However we understand that this tool wouldn’t be useful if you couldn’t customize it when you are ready for it.
